Skip to Content
HallolaraDocs
Public APIContacts

Update a contact

PATCH
/contacts/{contact_id}

Partial update - only included fields are changed.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Hallolara dashboard (Settings → API Keys).

Path Parameters

contact_id*string
Match^[a-f0-9]{24}$

Request Body

application/json
  1. body

Partial update - include only the fields you want to change.

Properties1 <= properties
group_id?string
Match^[a-f0-9]{24}$
phone_numbers?array<>
Items1 <= items
first_name?string
last_name?string
email?string

Email address. Empty string is accepted if you don't have the contact's email.

Formatemail
company?string
prompt?string
preferred_language?string
Value in"de""en""fr""it""de-CH""es""pt""tr""sv""fi""nl""unknown"
gender?string

Send an empty string to clear the value; omit the property to preserve it.

forwarding_id?|
Match^[a-f0-9]{24}$

Response Body

Updated contact.

application/json
  1. response
data?
Example Request
curl -X PATCH 'https://api.hallolara.ai/api/v1/contacts/65f8fa6f1a9d8e0012ab34cd' \  -H 'Content-Type: application/json' \  -d '{  "first_name": "Grace"}'
Example Response
{  "data": {    "id": "string",    "group_id": "string",    "group_name": "string",    "phone_numbers": [      "string"    ],    "first_name": "string",    "last_name": "string",    "email": "string",    "company": "string",    "gender": "string",    "prompt": "string",    "preferred_language": "string",    "forwarding_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}